---
id: lens-id
title: LensID
---

export const Tag = ({children, color}) => (
<span
style={{
      backgroundColor: color,
      borderRadius: '2px',
      color: '#fff',
      padding: '0.2rem',
    }}>
{children}
</span>
);

No description

```graphql
type LensID {
  id: ID!
  patents(
    first: Int = 0
    offset: Int = 0
    orderBy: [_PatentOrdering] = []
    filter: _PatentFilter
  ): [Patent]
  familys(
    first: Int = 0
    offset: Int = 0
    orderBy: [_PatentFamilyOrdering] = []
    filter: _PatentFamilyFilter
  ): [PatentFamily]
  _id: String
}
```

### Fields

#### `id` ([`ID!`](/docs/api/scalars/id))

#### `patents` ([`[Patent]`](/docs/api/objects/patent))

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_PatentOrdering]`](/docs/api/enums/patent-ordering))

- ##### `filter` ([`_PatentFilter`](/docs/api/inputs/patent-filter))

#### `familys` ([`[PatentFamily]`](/docs/api/objects/patent-family))

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_PatentFamilyOrdering]`](/docs/api/enums/patent-family-ordering))

- ##### `filter` ([`_PatentFamilyFilter`](/docs/api/inputs/patent-family-filter))

#### `_id` ([`String`](/docs/api/scalars/string))

Generated field for querying the Neo4j [system id](https://neo4j.com/docs/cypher-manual/current/functions/scalar/#functions-id) of this node.
